/*
 * Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.identity.common.internal.passwordsafe;

import org.wso2.carbon.identity.common.base.cache.CacheEntry;
import org.wso2.carbon.identity.common.util.passwordsafe.SafePasswordContainer;

/**
 * Password safe cache entry.
 */
public class PasswordSafeEntry extends CacheEntry {

    private static final long serialVersionUID = 7982681994670418183L;
    private SafePasswordContainer safePasswordContainer = null;

    public PasswordSafeEntry(
            SafePasswordContainer safePasswordContainer) {
        this.safePasswordContainer = safePasswordContainer;
    }

    public SafePasswordContainer getSafePasswordContainer() {
        return safePasswordContainer;
    }

    public void setSafePasswordContainer(SafePasswordContainer safePasswordContainer) {
        this.safePasswordContainer = safePasswordContainer;
    }
}
